extern crate argparse;

#[derive(Debug, Clone, new)]
pub struct CliArguments {
    pub port_number: u16,
}

pub fn get_arguments_parsed() -> CliArguments {
    let mut ca = CliArguments::new(8754);
    {
        let mut parser = argparse::ArgumentParser::new();
        parser.set_description(
            "Exposes all your block devices (hard drives) to authorized X25519 keys. Needs root.",
        );

        parser.refer(&mut ca.port_number).add_option(
            &["-p", "--port"],
            argparse::Store,
            "The port to bind",
        );
        parser.parse_args_or_exit();
    }
    ca
}
