#[macro_use]
extern crate derive_new;
extern crate remote_block_device_backup_common;

mod cli;

use remote_block_device_backup_common::handle_server;
use std::net::{SocketAddr, TcpListener};
use threadpool::ThreadPool;

const THREAD_COUNT: usize = 8;

fn main() {
    let cli_args = cli::get_arguments_parsed();
    let port_number = cli_args.port_number;
    let pool = ThreadPool::new(THREAD_COUNT);
    let listener = TcpListener::bind(SocketAddr::from(([0, 0, 0, 0], port_number))).unwrap();
    for stream_opt in listener.incoming() {
        if let Ok(mut stream) = stream_opt {
            pool.execute(move || handle_server(&mut stream));
        }
    }
}
